eric ide

Issue292

Classification
Title: Pygmentization?
Type: behavior Product: eric6
Process
Priority: high    
Status: closed Resolution: invalid
Superseder: Nosy List: Ro6ert, detlev
Assigned to: Keywords:

Created on 2019-01-27.13:28:06 by Ro6ert, last changed by detlev.

Messages (3.0)
msg1094 (view) Author: detlev Date: 2019-01-27.15:10:58
Raised in error (caused by user error).

Note: eric 6.0.8 is very old and not maintained anymore.
msg1093 (view) Author: Ro6ert Date: 2019-01-27.13:42:07
SOLVED !!!!  Stupid me, added to the ...python2.7.../dist-packages/pygments/
directory instead of the ...python3... directory.
msg1092 (view) Author: Ro6ert Date: 2019-01-27.13:28:06
Added my own lexer to .../dist-packages/pygments/ (incl. _mappings.py), tested
successfully with <prompt>pygmentize myfile.<my-ext> but the lexer didn't show
up in Eric6.0.8's "Alternative (pygments) Lexers" list. Purging & reinstalling
from the Ubuntu Xenial .deb did NOT help. Installing from sources too
complicated because of several external package errors. Any pointers?
History
Date User Action Args
2019-01-27 15:10:58detlevsetstatus: new -> closed
resolution: invalid
messages: + msg1094
message_count: 2.0 -> 3.0
nosy: + detlev
2019-01-27 13:42:08Ro6ertsetmessage_count: 1.0 -> 2.0
messages: + msg1093
2019-01-27 13:28:06Ro6ertcreate